# BEGIN SourceDeps(oneline):
BuildRequires: libgsl-devel perl(AutoLoader.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define module_version 0.0.2
%define module_name Math-GSL-Linalg-SVD
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.0.2
Release: alt7
Summary: Perl extension with convenience methods for performing SVD and eigenvector decomp with the gsl C li...
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/D/DS/DSTH/%module_name-%module_version.tar.gz

%description
The singular value decomposition (SVD) is an important factorization of a rectangular real matrix - see
http://en.wikipedia.org/wiki/Singular_value_decomposition. Eigendecomposition is the factorization of a 
matrix into a canonical form, whereby the matrix is represented in terms of its eigenvalues and
eigenvectors - see http://en.wikipedia.org/wiki/Eigendecomposition_of_a_matrix. This module implements the 
SVD and Eigen decomposition routines of the The C GNU Scientific Library (GSL). It provides simple convinience methods in the
upper-level Math::GSL::Linalg::SVD namespace to perform these operations. Alternatively, it also provides direct access
to the C routines in the Math::GSL::Linalg::SVD::Matrix, Math::GSL::Linalg::SVD::Vector and
Math::GSL::Linalg::SVD::Eigen namespaces - see METHODS. 


%prep
%setup -n %module_name

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_archlib/M*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.0.2-alt7
- rebuild with perl 5.38

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 0.0.2-alt6
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.0.2-alt5.1
- rebuild with perl 5.30

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 0.0.2-alt4.1
- rebuild with perl 5.28.1

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 0.0.2-alt4
- rebuild with perl 5.26

* Sun Feb 12 2017 Cronbuild Service <cronbuild@altlinux.org> 0.0.2-alt3
- rebuild to get rid of unmets

* Fri Nov 27 2015 Igor Vlasenko <viy@altlinux.ru> 0.0.2-alt2.1
- rebuild with perl 5.22

* Sat Dec 13 2014 Cronbuild Service <cronbuild@altlinux.org> 0.0.2-alt2
- rebuild to get rid of unmets

* Mon Oct 14 2013 Igor Vlasenko <viy@altlinux.ru> 0.0.2-alt1
- initial import by package builder

